Subject: Re: [MSEC] GSAKMP issue 10: GSAKMP payload header should align with IKE-v2

From: Uri Meth <[email-masked]>
Date: Thu, 25 Sep 2003 15:27:07 -0400

With this post I am only answering part of your questoin wrt Network
Byte ordering.  Please stay tuned for a later post wrt to the other
issues in your post.

All fields in all payloads that are more than one byte
long that are integer values must be sent in Network Byte Order.

UM

On Fri, Aug 08, 2003 at 03:33:42PM -0400, George Gross wrote:
> 
> GSAKMP issue 10
> 
> Section and relevant text passage:
> 
> 6.2 Generic Payload Header
> 
> Comment/issue description:
> 
> The payload header should be aligned with the IKE-v2 payload header syntax and
> critical bit semantics.
> 
> The text should indicate it follows the IKE-v2 policy with respect to padding.
> I would assume that GSAKMP currently does not attempt to do modulo-4 payload header
> alignment? (Neither does IKE-v2, but then other protocols do e.g. Diameter)
> 
> The text does not say so, but I would have to guess the Payload length is in
> network byte order.
> 
> Suggested issue resolution:
> 
> The text should explicitly define the syntax and semantics wrt/ the above to match IKE-v2.
> 
> 
> _______________________________________________
> msec mailing list
> [email-masked]
> http://www.pairlist.net/mailman/listinfo/msec

-- 
Uri Meth                            (410) 872 - 1515 x233 (voice)
SPARTA, Inc.                        (410) 872 - 8079      (fax)
7075 Samuel Morse Drive             [email-masked]
Columbia, MD 21046

_______________________________________________
msec mailing list
[email-masked]
http://www.pairlist.net/mailman/listinfo/msec